aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/genrule
diff options
context:
space:
mode:
authorGravatar Laszlo Csomor <laszlocsomor@google.com>2015-03-20 13:04:02 +0000
committerGravatar Han-Wen Nienhuys <hanwen@google.com>2015-03-20 14:38:34 +0000
commit03275d61ba3abcf4aaa2114316f7f75e119e6cd1 (patch)
tree99c20a8ad93fd24839191eaf865a6aa64d444709 /tools/genrule
parent56093895a38d339ba9e22f0108e240247e7554fb (diff)
Genrules "set -euo pipefail" by default.
-- MOS_MIGRATED_REVID=89118665
Diffstat (limited to 'tools/genrule')
-rwxr-xr-xtools/genrule/genrule-setup.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tools/genrule/genrule-setup.sh b/tools/genrule/genrule-setup.sh
index e69de29bb2..c1d938e60f 100755
--- a/tools/genrule/genrule-setup.sh
+++ b/tools/genrule/genrule-setup.sh
@@ -0,0 +1,8 @@
+# exit immediately if a command or pipeline fails, unless it is in a test expression
+set -e
+
+# treat unset variables as errors
+set -u
+
+# exit code of a pipeline is 0, or the non-zero exit code of the rightmost failing command
+set -o pipefail